/**
 * 这是与购物有关的业务逻辑的服务
 */
export default class ShopService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'ShopService'
	}
	/* 小程序-供应商注册第一步 */
	SupplierAppletsRegistered (data = {}) {
		return this.AjaxService.post({ 
			url:'/user/register/shop', 
			data, 
			isLoading: true,
			isHost:true
		})
	}
	/* 小程序-搜索供应商列表 */
	GetSearchSupplierList (data = {}) {
		return this.AjaxService.get({ 
			url:'/commodity/search/query/shop', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序供应商个人中心 */
	GetHomePageData (data = {}) {
		return this.AjaxService.get({ url:'/user/shop/personal/data', data, isLoading: true })
	}
	/* 小程序供应商我的商品 */
	GetSupplierPyProduct (data = {}) {
		return this.AjaxService.get({ 
			url:'/commodity/shop/product/list', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序供应商操作添加删除主推商品 */
	SupplierSwitchFeaturedyProduct (data = {}) {
		return this.AjaxService.post({ 
			url:'/commodity/shop/featured/switch', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序供应商操作下架商品 */
	SupplierSoldOutProduct (data = {}) {
		return this.AjaxService.post({ 
			url:'/commodity/shop/product/offline', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序供应商我的店铺详情 */
	GetSupplierHomeDeatils (data = {}) {
		return this.AjaxService.get({ 
			url:'/user/shop/home/data', 
			data, 
			isLoading: true ,
		})
	}
	/* 小程序供应商我的店铺banner */
	GetSupplierHomeBanner (data = {}) {
		return this.AjaxService.get({ 
			url:'/user/shop/home/images', 
			data, 
			isLoading: true ,
		})
	}
	/* 小程序供应商我的店铺主推商品 */
	GetSupplierHomeProduct (data = {}) {
		return this.AjaxService.get({ 
			url:'/commodity/shop/product/main', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序供应商我的店铺全部商品 */
	GetSupplierHomeProductList (data = {}) {
		return this.AjaxService.get({ 
			url:'/commodity/search/query/product/shop', 
			data, 
			isLoading: false ,
			isHost:true
		})
	}
	/* 发货-添加商品资质初始化查询商品 */
	GetSupplierLogisticsRecord (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/ship/logistics/record', 
			data, 
			isLoading: false ,
			isHost:true
		})
	}
	/* 发货-商品资质回显 */
	GetSupplierQualificationData (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/qualification/list', 
			data, 
			isLoading: false ,
			isHost:true
		})
	}
	/* 发货-保存商品资质 */
	GetSupplierQualificationUpdata (data = {}) {
		return this.AjaxService.post({ 
			url:'/order/shop/qualification/save', 
			data, 
			isLoading: false ,
			isHost:true
		})
	}
	/* 小程序供应商我的订单 */
	GetSupplierMyOrderList (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/list', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-权限控制 */
	MiniShipments (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/share/code/check', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-查询供应商子订单详情 */
	GetShopOrderDetails (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/detail', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-供应商订单详情获取订单分享码 */
	ShopOrderShareCode (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/share/code', 
			data, 
			isLoading: false ,
			isHost:true
		})
	}
	/* 小程序发货-供应商订单发货商品查询 */
	ShopOrderShipmentsInfo (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/ship/info', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-物流公司查询 */
	GetLogisticsCompany (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/ship/company', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-查看发货记录物流信息 */
	GetLogisticsInfo (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/ship/logistics/info', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-查看发货记录-添加物流 */
	ShopAddLogisticsInfo (data = {}) {
		return this.AjaxService.post({ 
			url:'/order/shop/ship/logistics/add', 
			data, 
			isLoading: true,
			isHost:true
		})
	}
	/* 小程序发货-扫码获取物流公司信息 */
	GetExpressInformation (data = {}) {
		return this.AjaxService.post({ 
			url:'/order/shop/ship/logistics/scan', 
			data, 
			isLoading: false,
			isHost:true
		})
	}
	/* 小程序发货-确认发货 */
	ShopAddLogistics (data = {}) {
		return this.AjaxService.post({ 
			url:'/order/shop/ship/delivery',
			 data, 
			 isLoading: true ,
			 isHost:true
		})
	}
	/* 小程序发货-发货记录 */
	ShopShipmentsRecord (data = {}) {
		return this.AjaxService.get({ 
			url:'/order/shop/ship/delivery/record', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 小程序发货-撤销发货 */
	ShopCancelShipment (data = {}) {
		return this.AjaxService.post({ 
			url:'/order/shop/ship/delivery/cancel', 
			data, 
			isLoading: true ,
			isHost:true
		})
	}
	/* 一级分类 */
	GetPrimaryClassification (data = {}) {
		return this.AjaxService.get({ 
			url:'/commodity/type/first',
			data, 
			isLoading: false ,
		})
	}
	/* 二级级分类 */
	GetPrimarySecondaryClassification (data = {}) {
		return this.AjaxService.get({ 
			url:'/supplier/secondaryClassification', 
			data, 
			isLoading: false ,
		})
	}
	/* 三级分类 */
	GetPrimaryThreeLevelClassification (data = {}) {
		return this.AjaxService.get({ 
			url:'/supplier/threeLevelClassification', 
			data, 
			isLoading: false ,
		})
	}
}
